/*
 * Copyright (C) 2018 Erlend Sveen
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

// I2S Configuration
#define I2S_INSTANCE SPI2
#define I2S_DMACHAN DMAChannel_1_4
#define I2S_DMACHSEL DMA_CR_CHSEL0
#define I2S_DMAIRQN 15

#define I2S_PORT_SD GPIOC
#define I2S_PORT_WS GPIOB
#define I2S_PORT_CK GPIOB
#define I2S_PIN_SD PIN(3)
#define I2S_PIN_WS PIN(12)
#define I2S_PIN_CK PIN(13)
