/*
 * Copyright (C) 2018 Erlend Sveen
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

// Set default LCD orientation (1) horizontal (0) vertical
#define LCD_DEFAULT_ORIENTATION 1

// Set LCD type
#define LCD_TYPE LCD_SSD1289

// Set LCD access registers
#define LCD_COMMAND (*((volatile unsigned short*)0x60000000))
#define LCD_DATA (*((volatile unsigned short*)0x60080000))

// Dimensions when in horizontal
#define LCD_WIDTH 320
#define LCD_HEIGHT 240
