/*
 * Copyright (C) 2018 Erlend Sveen
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

// Maximum number of nodes in the node table
#define NODETABLE_SIZE 16

// Maximum number of virtual file systems
#define VFS_MAX_DRIVERS 4

// Maximum path size
#define VFS_MAX_PATH 64

// Maximum mount point name/path size
#define VFS_MOUNTPOINT_MAX_SIZE 16

// Maximum mount point prepend size
#define VFS_PREPEND_MAX_SIZE 4

// Maximum number of file descriptors per process
#define MAX_NODES 8
