#!/bin/bash

# If there is an argument supplied
if (( $# != 1 )); then
	echo "You must specify the debug.elf to process."
	exit
fi

arm-none-eabi-objdump -d $1 > build/in-asm
./build/arm-callgraph < build/in-asm > build/out-dotfile
dot -Tpng -obuild/graph.png < build/out-dotfile
