/*
 * Copyright (C) 2018 Erlend Sveen
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

// Number of the highest peripheral, used to allocate structures and check input
#define SPI_N_MODULES 2

// SPI Configuration
#define SPI1_PORT_CS GPIOB
#define SPI1_PIN_CS0 PIN(14)

#define SPI2_PORT_CS GPIOB
#define SPI2_PIN_CS0 PIN(12)

// Enable availability of specific interfaces (1) or disable (0)
#define SPI_ENABLE_AVAIL_0 1
#define SPI_ENABLE_AVAIL_1 1
#define SPI_ENABLE_AVAIL_2 0
#define SPI_ENABLE_AVAIL_3 0
#define SPI_ENABLE_AVAIL_4 0
#define SPI_ENABLE_AVAIL_5 0
