/*
 * Copyright (c) 2018, Erlend Sveen
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

.syntax unified
.cpu cortex-r4
.thumb

.section .text.bind_asm
.global bind_asm
.type bind_asm, %function
bind_asm:
	svc 34
	bx lr
.size bind_asm, .-bind_asm

.section .text.recvfrom_asm
.global recvfrom_asm
.type recvfrom_asm, %function
recvfrom_asm:
	svc 35
	bx lr
.size recvfrom_asm, .-recvfrom_asm

.section .text.sendto_asm
.global sendto_asm
.type sendto_asm, %function
sendto_asm:
	svc 36
	bx lr
.size sendto_asm, .-sendto_asm

.section .text.socket_asm
.global socket_asm
.type socket_asm, %function
socket_asm:
	svc 37
	bx lr
.size socket_asm, .-socket_asm

.section .text.listen_asm
.global listen_asm
.type listen_asm, %function
listen_asm:
	svc 38
	bx lr
.size listen_asm, .-listen_asm

.section .text.accept_asm
.global accept_asm
.type accept_asm, %function
accept_asm:
	svc 39
	bx lr
.size accept_asm, .-accept_asm

.section .text.connect_asm
.global connect_asm
.type connect_asm, %function
connect_asm:
	svc 40
	bx lr
.size connect_asm, .-connect_asm

.section .text.sockopt_asm
.global sockopt_asm
.type sockopt_asm, %function
sockopt_asm:
	svc 41
	bx lr
.size sockopt_asm, .-sockopt_asm

.section .text.sockmisc_asm
.global sockmisc_asm
.type sockmisc_asm, %function
sockmisc_asm:
	svc 42
	bx lr
.size sockmisc_asm, .-sockmisc_asm

.section .text.netdb_asm
.global netdb_asm
.type netdb_asm, %function
netdb_asm:
	svc 43
	bx lr
.size netdb_asm, .-netdb_asm
